import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/money.dart';

part 'fee_line.g.dart';


@JsonSerializable()
class FeeLineDTO {
  final String? ledgerAccountRef;
  final MoneyDTO? amount;
  final String? lineType;
  final String? side;
  final Map<String, String>? meta;

  const FeeLineDTO({
    this.ledgerAccountRef,
    this.amount,
    this.lineType,
    this.side,
    this.meta,
  });

  factory FeeLineDTO.fromJson(Map<String, dynamic> json) => _$FeeLineDTOFromJson(json);
  Map<String, dynamic> toJson() => _$FeeLineDTOToJson(this);
}
